From 275da9c834e2096b9350e70963f6654d6eed7aca Mon Sep 17 00:00:00 2001
From: Adam Johnston <adam.johnston@arm.com>
Date: Thu, 29 Feb 2024 15:45:29 +0000
Subject: [PATCH 2/3] Update Greengrass Nucleus and dependencies

Update Greengrass components to:
- nucleus v2.12.0
- aws-iot-device-sdk v1.20.4

Signed-off-by: Vikas Katariya <vikas.katariya@arm.com>
Signed-off-by: Adam Johnston <adam.johnston@arm.com>
---
 parsec-greengrass-plugin/pom.xml | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/parsec-greengrass-plugin/pom.xml b/parsec-greengrass-plugin/pom.xml
index b2f8ef0..f9929bb 100644
--- a/parsec-greengrass-plugin/pom.xml
+++ b/parsec-greengrass-plugin/pom.xml
@@ -25,7 +25,7 @@
             <dependency>
                 <groupId>software.amazon.awssdk.iotdevicesdk</groupId>
                 <artifactId>aws-iot-device-sdk</artifactId>
-                <version>1.8.5</version>
+                <version>1.20.4</version>
             </dependency>
         </dependencies>
     </dependencyManagement>
@@ -38,7 +38,7 @@
         <dependency>
             <groupId>com.aws.greengrass</groupId>
             <artifactId>nucleus</artifactId>
-            <version>2.5.0-SNAPSHOT</version>
+            <version>2.12.0-SNAPSHOT</version>
             <scope>provided</scope>
         </dependency>
         <dependency>

-- 
2.25.1
